Module modFormatNumbers

    Public Function FormatNumbers(ByRef Number As Double) As String
        Dim NumDigDec As Short ' Number of digits after decimal

        Try
            If Number <> 0 Then
                NumDigDec = -System.Math.Log(System.Math.Abs(Number) * 0.001) / System.Math.Log(10.0#) ' Determine number of decimals for 0.1% accuracy
                If NumDigDec < 0 Then NumDigDec = 0
            Else
                NumDigDec = 0
            End If

            If NumDigDec > 3 Then NumDigDec = 3

            FormatNumbers = FormatNumber(Number, NumDigDec, True, False, True)

        Catch ex As Exception
            FormatNumbers = ""
        End Try

    End Function
End Module